<?php

class SignalsModule extends CWebModule
{
  public $signals = array();

	public function init()
	{
    $moduleId = $this->getId();

		// import the module-level models and components
		$this->setImport(array(
			$moduleId.'.behaviors.*',
			$moduleId.'.components.*',
			$moduleId.'.components.eventInterceptor.*',
			$moduleId.'.components.signalEmitter.*',
			$moduleId.'.models.*',
			$moduleId.'.models.ar.*',
			$moduleId.'.models.ar.generated.*',
			$moduleId.'.models.dto.*',
			$moduleId.'.models.form.*',
		));

    // initialize the db component
    if ($this->getComponent('db') === null)
      $this->setComponent( 'db', Yii::app()->getDb() );

    if(!$this->getComponent('db') instanceof CDbConnection)
      throw new CDbException(Yii::t('SignalsModule','SignalsModule requires a "db" CDbConnection module component, or a "db" CDbConnection application component.'));

    // initialize active records
    SignalsARBase::$remoteSignalsDbConnection = $this->getComponent('db');
    SignalsARBase::$signalsModuleId = $this->getId();
	}

	public function beforeControllerAction($controller, $action)
	{
		if(parent::beforeControllerAction($controller, $action))
		{
			// this method is called before any module controller action is performed
			// you may place customized code here
			return true;
		}
		else
			return false;
	}

  public function signalExists( $signalId )
  {
    return array_search( $signalId, $this->signals) !== false;
  }
}
